@import "./../../../../../scss/variables";

.event-detail-desc-container {
  padding: 1vh;
  margin-top: 1vh;
  margin-bottom: 1vh;
  margin-right: 2vh;
}

.event-detail-desc-txt-container {
  margin-left: 2vh;
}

.event-detail-desc-txt {
  font-size: 2vh;
  color: $primary-neutral;
  text-align: justify;
  text-justify: inter-word;
}

.event-detail-desc-txt-overflow {
  display: -webkit-box;
  -webkit-line-clamp: 8;
  -webkit-box-orient: vertical;
  overflow: hidden;
}

.event-detail-desc-txt-blur {
  background-color: $background;
  opacity: 0.9;
  height: 6vh;
  z-index: 1;
  margin-top: -3vh;
}

.event-detail-desc-view-all-btn {
  color: $primary;
  font-weight: bold;
  text-align: center;
  background-color: $complement;
  width: 12vh;
  padding: 1vh;
  border-radius: 20px;
  margin-left: auto;
  cursor: pointer;
}
